TYPOS3.Flow - Bug # 3945

Status: Closed Priority: Should have
Author: Dmitry Category: Core

Created: 2009-07-18 Assigned To: Karsten Dambekalns
Updated: 2010-10-20 Due date:

PHP Version:

Has patch:

Complexity:

Affected Flow version:

Subject: Cannot redeclare Packagelnterface

Description

I'm not sure who (FLOW3 or APC) is wrong. But | got error with APC.

[apc-error] Cannot redeclare class f3\flow3\package\packageinterface in
<path>\Flow3\Distribution\trunk\Packages\Framework\FLOW3\Classes\Core\Bootstrap.php on line 28.

Configuration:

OS: Windows XP SP3

Apache: 2.2.11

PHP: php-5.3.0-Win32-VC9-x86.zip

APC: php_apc-trunk-20090717-5.3-vc9-x86.zip

History

#1 - 2009-09-04 11:39 - Robert Lemke

- Status changed from New to Needs Feedback

Hmm, | cannot reproduce this error on Mac OSX with Apache 2 and APC.

Does this error appear every time? Even after you cleared the FLOWS caches (files in Data/Temporary/) and the APC opcode cache?

#2 - 2009-09-21 22:47 - Karsten Dambekalns
- Assigned To set to Karsten Dambekalns
- Target version deleted (283)

Hi Dmitry, any feedback?

#3 - 2009-09-22 13:03 - Irene Hoppner

| don't know, if this is relevant in this case, but the php-download-page (http://windows.php.net/download/) says:

If you are using PHP with Apache 1 or Apache2 from apache.org you need to use the VC6 versions of PHP.

If you are using PHP with IIS you should use the VC9 versions of PHP.
#4 - 2009-09-23 16:24 - Karsten Dambekalns
- Status changed from Needs Feedback to Closed

I'd suspect this was an issue with APC and/or PHP. Closing this - feel free to reopen if needed.

2015-08-03 22



